Delete customer contact
DELETE
/merchants/{merchantCode}/customers/{customerId}/contacts/{contactId}
const url = 'https://customer.shopgate.io/v1/merchants/example/customers/example/contacts/example';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://customer.shopgate.io/v1/merchants/example/customers/example/contacts/exampleDelete customer contact
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
customerId
required
string
contactId
required
string
Responses
Section titled “Responses”Contact successfully updated
Media typeapplication/json
Merchant, customer or contact not found
Media typeapplication/json
default
Section titled “default”Unexpected error
Media typeapplication/json
object
code
Machine readable error code
string
message
required
Human readable error code
string
Examplegenerated
{ "code": "example", "message": "example"}
